Skip to main content
POST
/
open-banking
/
v1
/
funds-confirmations
Confirmation of funds request
curl --request POST \
  --url https://api.example.com/open-banking/v1/funds-confirmations \
  --header 'Content-Type: application/json' \
  --header 'X-Request-ID: <x-request-id>' \
  --data '
{
  "account": {
    "iban": "DE40100100103307118608",
    "bban": "1234567890",
    "pan": "5409050000000000",
    "maskedPan": "123456xxxxxx1234",
    "msisdn": "+49170123456",
    "currency": "EUR"
  },
  "instructedAmount": {
    "currency": "EUR",
    "amount": "123.50"
  },
  "cardNumber": "12345678901234",
  "payee": "Merchant ABC"
}
'
{
  "fundsAvailable": true
}

Headers

Consent-ID
string | null

ID of the consent resource. Shall be provided if the consent was established through the consent process

X-Request-ID
string
required

ID of the request, unique to the call, as determined by the initiating party

Body

application/json

Confirmation of funds request body

account
object
required

PSU's account number

instructedAmount
object
required

Transaction amount to be checked

cardNumber
string | null

Card number of the card issued by the PIISP

Maximum string length: 35
Example:

"12345678901234"

payee
string | null

The merchant where the card is accepted

Maximum string length: 70
Example:

"Merchant ABC"

Response

Confirmation of funds request was correctly performed

fundsAvailable
boolean
required

Equals true if sufficient funds are available at the time of the request, false otherwise

Example:

true

Last modified on April 17, 2026